<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jdbc (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jdbc (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/jdbc/escape/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.jdbc</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener</a></td>
<td class="colLast">
<div class="block">This interface defines set of listeners that will be called in different situations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a></td>
<td class="colLast">
<div class="block">Listener for the events generated by BLOBs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.FetcherListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.FetcherListener</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.ResultSetListener</a></td>
<td class="colLast">
<div class="block">Listener for the events generated by the result set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a></td>
<td class="colLast">
<div class="block">Listener for the events generated by statements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></td>
<td class="colLast">
<div class="block">Firebird Blob abstraction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobInputStream</a></td>
<td class="colLast">
<div class="block">Blob input stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobOutputStream</a></td>
<td class="colLast">
<div class="block">Blob output stream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdCallableStatement</a></td>
<td class="colLast">
<div class="block">Firebird extension to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc">FirebirdConnection</a></td>
<td class="colLast">
<div class="block">Extension of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> interface providing access to Firebird
 specific features.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a></td>
<td class="colLast">
<div class="block">Connection properties for the Firebird connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdDatabaseMetaData</a></td>
<td class="colLast">
<div class="block">Extension of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql"><code>DatabaseMetaData</code></a> interface providing access to Firebird
 specific features.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc">FirebirdDriver</a></td>
<td class="colLast">
<div class="block">Extension of the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql"><code>Driver</code></a> providing methods to set the 
 connection properties programmatically.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdParameterMetaData</a></td>
<td class="colLast">
<div class="block">Firebird extension to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql"><code>ParameterMetaData</code></a> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a></td>
<td class="colLast">
<div class="block">Firebird extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc">FirebirdResultSet</a></td>
<td class="colLast">
<div class="block">Firebird-specific extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdResultSetMetaData</a></td>
<td class="colLast">
<div class="block">Firebird-specific extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSetMetaData.html?is-external=true" title="class or interface in java.sql"><code>ResultSetMetaData</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdSavepoint.html" title="interface in org.firebirdsql.jdbc">FirebirdSavepoint</a></td>
<td class="colLast">
<div class="block">Firebird-specific extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Savepoint.html?is-external=true" title="class or interface in java.sql"><code>Savepoint</code></a> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a></td>
<td class="colLast">
<div class="block">Firebird-specific extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql"><code>Statement</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/JdbcVersionSupport.html" title="interface in org.firebirdsql.jdbc">JdbcVersionSupport</a></td>
<td class="colLast">
<div class="block">Interface to mediate between differences in JDBC versions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc">StoredProcedureMetaData</a></td>
<td class="colLast">
<div class="block">Meta-information on stored procedures in a Firebird database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></td>
<td class="colLast">
<div class="block">Provides synchronization object.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">AbstractCallableStatement</a></td>
<td class="colLast">
<div class="block">Abstract implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData</a></td>
<td class="colLast">
<div class="block">Base class for <a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBResultSetMetaData</code></a> and
 <a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBParameterMetaData</code></a> for methods common to both implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a></td>
<td class="colLast">
<div class="block">This class is an old-fashion data structure that stores additional
 information about fields in a database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a></td>
<td class="colLast">
<div class="block">This class should be used as a composite key in an internal field
 mapping structures.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc">AbstractPreparedStatement</a></td>
<td class="colLast">
<div class="block">Abstract implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">AbstractResultSet</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBArray.html" title="class in org.firebirdsql.jdbc">FBArray</a></td>
<td class="colLast">
<div class="block">A Firebird-specific implementation of the mapping of a java.sql.Array.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBBlob.html" title="class in org.firebirdsql.jdbc">FBBlob</a></td>
<td class="colLast">
<div class="block">Firebird implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql"><code>Blob</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBBlobInputStream.html" title="class in org.firebirdsql.jdbc">FBBlobInputStream</a></td>
<td class="colLast">
<div class="block">An input stream for reading directly from a FBBlob instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBBlobOutputStream.html" title="class in org.firebirdsql.jdbc">FBBlobOutputStream</a></td>
<td class="colLast">
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io"><code>OutputStream</code></a> for writing Firebird blobs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBCachedBlob.html" title="class in org.firebirdsql.jdbc">FBCachedBlob</a></td>
<td class="colLast">
<div class="block">This class represents a cached blob field.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html" title="class in org.firebirdsql.jdbc">FBCallableStatement</a></td>
<td class="colLast">
<div class="block">JDBC 4.2 implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBClob.html" title="class in org.firebirdsql.jdbc">FBClob</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Clob.html?is-external=true" title="class or interface in java.sql"><code>Clob</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a></td>
<td class="colLast">
<div class="block">The class <code>FBConnection</code> is a handle to a 
 <a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca"><code>FBManagedConnection</code></a> and implements <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBConnectionDefaults.html" title="class in org.firebirdsql.jdbc">FBConnectionDefaults</a></td>
<td class="colLast">
<div class="block">Default values for JDBC connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBConnectionProperties.html" title="class in org.firebirdsql.jdbc">FBConnectionProperties</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc">FBDatabaseMetaData</a></td>
<td class="colLast">
<div class="block">Comprehensive information about the database as a whole.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBDatabaseMetaData.Clause.html" title="class in org.firebirdsql.jdbc">FBDatabaseMetaData.Clause</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBDataSource.html" title="class in org.firebirdsql.jdbc">FBDataSource</a></td>
<td class="colLast">
<div class="block">The class <code>FBDataSource</code> is a ConnectionFactory for jdbc
 Connection objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBDriver.html" title="class in org.firebirdsql.jdbc">FBDriver</a></td>
<td class="colLast">
<div class="block">The Jaybird JDBC Driver implementation for the Firebird database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.NoActionBlobListener.html" title="class in org.firebirdsql.jdbc">FBObjectListener.NoActionBlobListener</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc"><code>FBObjectListener.BlobListener</code></a> that implements all methods as
 empty methods.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBObjectListener.NoActionResultSetListener.html" title="class in org.firebirdsql.jdbc">FBObjectListener.NoActionResultSetListener</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc"><code>FBObjectListener.ResultSetListener</code></a> that implements all methods as
 empty methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc">FBParameterMetaData</a></td>
<td class="colLast">
<div class="block">An object that can be used to get information about the types and properties for each parameter marker in a
 <code>PreparedStatement</code> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc">FBPreparedStatement</a></td>
<td class="colLast">
<div class="block">JDBC 4.2 implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html" title="class in org.firebirdsql.jdbc">FBProcedureCall</a></td>
<td class="colLast">
<div class="block">Represents procedure call.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a></td>
<td class="colLast">
<div class="block">Represents procedure call parameter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html" title="class in org.firebirdsql.jdbc">FBResultSet</a></td>
<td class="colLast">
<div class="block">JDBC 4.2 implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc">FBResultSetMetaData</a></td>
<td class="colLast">
<div class="block">An object that can be used to get information about the types and properties of the columns in
 a <code>ResultSet</code> object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBRowId.html" title="class in org.firebirdsql.jdbc">FBRowId</a></td>
<td class="colLast">
<div class="block">Firebird row-id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBRowUpdater.html" title="class in org.firebirdsql.jdbc">FBRowUpdater</a></td>
<td class="colLast">
<div class="block">Class responsible for modifying updatable result sets.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBSavepoint.html" title="class in org.firebirdsql.jdbc">FBSavepoint</a></td>
<td class="colLast">
<div class="block">Savepoint implementation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql"><code>Statement</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc">FBTpbMapper</a></td>
<td class="colLast">
<div class="block">This class is provides mapping capabilities between standard JDBC
 transaction isolation level and Firebird Transaction Parameters Block (TPB).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc">FBUpdatableCursorFetcher</a></td>
<td class="colLast">
<div class="block">Statement fetcher for updatable cursor case.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc">InternalTransactionCoordinator</a></td>
<td class="colLast">
<div class="block">Transaction coordinator for the <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc"><code>FBConnection</code></a> class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" title="class in org.firebirdsql.jdbc">InternalTransactionCoordinator.AbstractTransactionCoordinator</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html" title="class in org.firebirdsql.jdbc">JavaTypeNameConstants</a></td>
<td class="colLast">
<div class="block">String constants of the Java type names used in metadata and field access.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/JaybirdTypeCodes.html" title="class in org.firebirdsql.jdbc">JaybirdTypeCodes</a></td>
<td class="colLast">
<div class="block">Type codes specific for Jaybird.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/Jdbc42VersionSupport.html" title="class in org.firebirdsql.jdbc">Jdbc42VersionSupport</a></td>
<td class="colLast">
<div class="block">JDBC 4.2 version support.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html" title="class in org.firebirdsql.jdbc">SQLStateConstants</a></td>
<td class="colLast">
<div class="block">Constants with common SQLState values.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaDataFactory.html" title="class in org.firebirdsql.jdbc">StoredProcedureMetaDataFactory</a></td>
<td class="colLast">
<div class="block">Factory to retrieve meta-data on stored procedures in a Firebird database.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/CompletionReason.html" title="enum in org.firebirdsql.jdbc">CompletionReason</a></td>
<td class="colLast">
<div class="block">Reasons for statement (or other resources) completion.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc">FBStatement.StatementResult</a></td>
<td class="colLast">
<div class="block">The current result of a statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/JaybirdType.html" title="enum in org.firebirdsql.jdbc">JaybirdType</a></td>
<td class="colLast">
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql"><code>SQLType</code></a> definitions specific to Jaybird.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/JdbcVersionSupportHolder.html" title="enum in org.firebirdsql.jdbc">JdbcVersionSupportHolder</a></td>
<td class="colLast">
<div class="block">Holder for the instance of <a href="../../../org/firebirdsql/jdbc/JdbcVersionSupport.html" title="interface in org.firebirdsql.jdbc"><code>JdbcVersionSupport</code></a> to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/QuoteStrategy.html" title="enum in org.firebirdsql.jdbc">QuoteStrategy</a></td>
<td class="colLast">
<div class="block">Strategy for quoting objects (or no quoting in the case of dialect 1).</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc">FBDriverConsistencyCheckException</a></td>
<td class="colLast">
<div class="block">Internal driver consistency check failed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBDriverNotCapableException.html" title="class in org.firebirdsql.jdbc">FBDriverNotCapableException</a></td>
<td class="colLast">
<div class="block">Tell that driver is not able to serve the request due to missing capabilities.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBMissingParameterException.html" title="class in org.firebirdsql.jdbc">FBMissingParameterException</a></td>
<td class="colLast">
<div class="block">Exception notifying developer that not all parameters were set when calling
 the prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBResultSetNotUpdatableException.html" title="class in org.firebirdsql.jdbc">FBResultSetNotUpdatableException</a></td>
<td class="colLast">
<div class="block">Exception is thrown when trying to modify the non-updatable result set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">FBSQLException</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jdbc/FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc">FBSQLExceptionInfo</a></td>
<td class="colLast">
<div class="block">Subclass of SQLException whose only purpose is to preserve the information provided by the status vector when an
 exception is created using <a href="../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toFlatSQLException--"><code>FbExceptionBuilder.toFlatSQLException()</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/jdbc/escape/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
